Message - Partially Supported Silverlight Version.

Applies to TestComplete 14.93, last modified on September 27, 2021

This message is displayed when you try to test a Silverlight Application on a computer where a partially supported version of Silverlight is installed. To test Silverlight applications with the functionality provided by the Silverlight Application Support plugin and to obtain the full access to applications’ internal objects and their members, TestComplete requires that Silverlight ver. 4.0.50826 or later be installed in the system. If this message is displayed when you are trying to test a Silverlight application, it means that you have an earlier version of Silverlight, which is partially supported by the TestComplete Silverlight Application Support plugin. With such a version of Silverlight, the plugin can only partially expose Silverlight objects of the application under test, and some objects may be not recognized properly by TestComplete (for instance, Silverlight pop-up windows may be not recognized).

You can get the latest version of Silverlight from Microsoft’s web site:

http://www.microsoft.com/getsilverlight/get-started/install/default.aspx

For more information on testing Silverlight applications, see Testing Silverlight Applications.

See Also

Testing Silverlight Applications
Accessing Native Properties and Methods of Silverlight Objects

Highlight search results